Tag: osx

Gcc-4.0 Fehler beim Aufbau _imaging Erweiterung für PIL

Wenn ich PIL (oder Kissen) installiere, wird das Modul _imaging C nicht installiert. Dies ist ein häufiger Fehler und haben die Play-by-Play-Lösung von ApPeL gesehen, die die meisten hilfreich gefunden haben. Leider, wenn ich sudo python setup.py install , bekomme ich die folgende sudo python setup.py install : running install running build running build_py running […]

Bitte helfen Sie eine Neuling installieren NLTK auf Mac OS 10.5.8

Ich bin völlig neu in der Programmierung. Ich habe versucht, verschiedene Möglichkeiten, NLTK auf meinem Mac installieren (läuft OS 10.5.8), und keiner von ihnen arbeitet. Bitte helfen Sie! Hier ist was ich bisher gemacht habe. Da ich anfangs nicht wusste, dass neuere Versionen von Python OS 10.6 oder höher benötigten, habe ich zuerst versucht, die […]

Gibt es einen tragbaren Python-Interpreter, der auf Mac OS X 10.6 von einem USB-Stick laufen wird?

Ich habe mich selbst zerlumpt versucht, einen tragbaren Dolmetscher zu finden, den ich von einem USB-Stick auf meinem Arbeitscomputer ausführen kann. Work Comp läuft Mac OS X 10.6, ziemlich eingeschränkte Umgebung, kein Zugriff auf Terminal, kann keine Apps installieren, aber ich weiß, dass portable Apps von einem USB-Laufwerk ausgeführt werden können. Ich habe mit Shell […]

Wie installiere ich scikit-image?

Sein scikit-image Download sagt: pip install -U scikit-image oder easy_install -U scikit-image Aber beide scheitern, unabhängig von der Flagge U, wie unten gezeigt: Georgioss-MacBook-Pro:Downloads gsamaras$ sudo pip install scikit-image The directory '/Users/gsamaras/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner […]

Auflösen von 2 Python-Version in Mac OSX

Ich laufe Mac OS X 10.11.5 . Ich habe zwei Python-Versionen auf meiner Maschine: Python 2.7 (Eingebauter Python in OSX) und Python 3.5 (Anaconda Version 4.1.1) Der Pfad ist wie folgt aufgebaut: $ PATH -bash: / Benutzer / userNMS / anaconda / bin: / usr / local / bin: / usr / bin: / bin: […]

Angeforderte Module nicht verfügbar: vtkRenderingOpenGL-cmake / OpenCVDetectVTK.cmake: 6 (find_package)

Ich versuche grundsätzlich, OpenCV3 mit Python3.5 zu installieren. Ich habe erfolgreich alle Schritte in diesem Tutorial für git checkout 3.1.0 von opencv durchgemacht. Allerdings, wenn ich diesen Befehl eingeben: cmake -D CMAKE_BUILD_TYPE=RELEASE \ -D CMAKE_INSTALL_PREFIX=/usr/local \ -D PYTHON3_PACKAGES_PATH=~/.virtualenvs/cv3/lib/python3.5/site-packages \ -D PYTHON3_LIBRARY=/usr/local/Cellar/python3/3.5.2_1/Frameworks/Python.framework/Versions/3.5/lib/libpython3.5.dylib \ -D PYTHON3_INCLUDE_DIR=/usr/local/Cellar/python3/3.5.2_1/Frameworks/Python.framework/Versions/3.5/include/python3.5m/ \ -D INSTALL_C_EXAMPLES=ON \ -D INSTALL_PYTHON_EXAMPLES=ON \ -D BUILD_EXAMPLES=ON \ -D […]

PyGame zum Importieren in Python-Interpreter nach MacPorts installieren

Ich versuche, mit dem pygame Modul zu beginnen, aber ich kann es nicht laufen lassen. Ich benutze Mountain Lion mit Python 2.7 und MacPorts, aber ich habe auch einige Wissenschaft und Mathematik Module mit Anaconda installiert, bevor ich jemals entdeckt und begann mit MacPorts. Beachten Sie, dass meine MacPorts gerade aktualisiert wurde, bevor ich eine […]

Mac OS X Lion Psycopg2: Symbol nicht gefunden: _PQbackendPID

Ich habe vor kurzem auf Mac OS X Lion aufgerüstet und versuche, psycopg2 wieder mit python 2.6 zu arbeiten. Die Anweisungen auf früheren Seiten, um Python zu zwingen, in 32-Bit mehr laufen (siehe Orte wie hier: http://favosdream.blogspot.com/2009/09/make-psycopg2-und-readline-work-in-snow.html ) Gibt kein Glück. Sogar das Versuchen, Python zu 32 Bit mit Arch-i386 Python zu zwingen, gibt mir […]

Holen Sie sich die Datei "Get Info" Attribute in Mac mit Python

Ich habe ein Laufwerk montiert. In ihm ist "get info", ich habe ein Attribut namens "Image Disk", die "/ private / var / run / vmware / Sicherung / 10323660103412696815 / flat" ist. Wie bekomme ich dieses Attribut mit Python? Os.stat gibt mir das nicht Thanx

Python ausführbare

Ist es möglich, python ausführbare zielgerichtet für linux zu schaffen, von mac os x? PyInstaller scheint in einem frühen Stadium zu sein, und ich weiß nicht viel anderes. Vielen Dank

Python ist die beste Programmiersprache der Welt.